Realtime
Server-sent events and WebSocket endpoints
Realtime
Real-time event streaming via Server-Sent Events (SSE) and WebSockets.
Instance Events (SSE)
GET /v1/sse/instances/:idStreams real-time status events for a specific instance via Server-Sent Events.
curl -N https://api.fugoku.com/v1/sse/instances/inst-abc123 \
-H "X-Fugoku-API-Key: $FUGOKU_API_TOKEN"Event format:
event: status
data: {"id":"inst-abc123","status":"active","timestamp":"2026-08-22T12:00:00Z"}
event: status
data: {"id":"inst-abc123","status":"stopped","timestamp":"2026-08-22T12:05:00Z"}WebSocket Connection
GET /v1/wsWebSocket endpoint for real-time bidirectional communication.
WebSocket Token
GET /v1/ws/tokenReturns an authentication token for WebSocket connections.
curl https://api.fugoku.com/v1/ws/token \
-H "X-Fugoku-API-Key: $FUGOKU_API_TOKEN"Response:
{
"data": {
"type": "ws-token",
"attributes": {
"token": "ws-token-abc123",
"expiresAt": "2026-08-22T13:00:00Z"
}
}
}